Bug 432139 - (kiconedit) Review Request: kiconedit - An icon editor for KDE4
Review Request: kiconedit - An icon editor for KDE4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 19:57 EST by Sebastian Vahl
Modified: 2012-07-10 14:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 05:51:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2008-02-08 19:57:27 EST
Spec URL: http://svahl.fedorapeople.org/kiconedit/kiconedit.spec
SRPM URL: http://svahl.fedorapeople.org/kiconedit/kiconedit-4.0.1-1.fc8.src.rpm
Description: 
KIconEdit is designed to help create icons for
KDE using the standard icon palette.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=405369
Comment 1 Parag AN(पराग) 2008-02-08 22:02:40 EST
when tried to install I got,
Preparing...                ########################################### [100%]
        file /usr/share/locale/ko/LC_MESSAGES/kiconedit.mo from install of
kiconedit-4.0.1-1.fc9.i386 conflicts with file from package
kde-i18n-Korean-3.5.8-3.fc9.noarch
        file /usr/share/locale/ta/LC_MESSAGES/kiconedit.mo from install of
kiconedit-4.0.1-1.fc9.i386 conflicts with file from package
kde-i18n-Tamil-3.5.8-3.fc9.noarch
        file /usr/share/locale/ja/LC_MESSAGES/kiconedit.mo from install of
kiconedit-4.0.1-1.fc9.i386 conflicts with file from package
kde-i18n-Japanese-3.5.8-3.fc9.noarch
        file /usr/share/locale/pa/LC_MESSAGES/kiconedit.mo from install of
kiconedit-4.0.1-1.fc9.i386 conflicts with file from package
kde-i18n-Punjabi-3.5.8-3.fc9.noarch
        file /usr/share/locale/zh_TW/LC_MESSAGES/kiconedit.mo from install of
kiconedit-4.0.1-1.fc9.i386 conflicts with file from package
kde-i18n-Chinese-Big5-3.5.8-3.fc9.noarch
        file /usr/share/locale/zh_CN/LC_MESSAGES/kiconedit.mo from install of
kiconedit-4.0.1-1.fc9.i386 conflicts with file from package
kde-i18n-Chinese-3.5.8-3.fc9.noarch
Comment 2 Kevin Kofler 2008-02-11 16:53:59 EST
These conflicting files will be removed from kde-i18n ASAP. (We want to ship 
the version from the current kiconedit, not the KDE 3 one.)
Comment 3 Parag AN(पराग) 2008-02-11 20:13:19 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=405369
+ rpmlint is silent for SRPM But NOT for RPM.
kiconedit.i386: W: dangling-symlink /usr/share/doc/HTML/en/kiconedit/common
/usr/share/doc/HTML/en/common
kiconedit.i386: W: symlink-should-be-relative
/usr/share/doc/HTML/en/kiconedit/common /usr/share/doc/HTML/en/common
==> Ok to accept here
+ source files match upstream.
77f69d70f105f83713e427ae0c8f1e5b  kcoloredit-4.0.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ xdg-utils scriptlets are used.
+ Desktop file installed correctly.
+ GUI app.

APPROVED.

Comment 4 Kevin Kofler 2008-02-11 20:31:52 EST
File conflicts fixed in kde-i18n-3.5.8-5.fc9.
Comment 5 Sebastian Vahl 2008-02-12 08:50:40 EST
(In reply to comment #3)
> APPROVED.

Thanks!

New Package CVS Request
=======================
Package Name: kiconedit
Short Description: A icon editor for KDE 4
Owners: svahl,than,rdieter,kkofler,ltinkl
Branches: 
InitialCC: 
Cvsextras Commits: no


Comment 6 Kevin Fenzi 2008-02-12 12:43:35 EST
cvs done.
Comment 7 Sebastian Vahl 2008-02-13 05:51:41 EST
Imported and built for rawhide: 
http://koji.fedoraproject.org/koji/buildinfo?buildID=35904

Note You need to log in before you can comment on or make changes to this bug.